| Flutter macOS Embedder |

Typedefs | Functions
flutter_plugin_registrar.h File Reference
`#include <stddef.h>`
`#include <stdint.h>`
`#include "flutter_export.h"`
`#include "flutter_messenger.h"`
`#include "flutter_texture_registrar.h"`

Go to the source code of this file.

## Typedefs
typedef struct FlutterDesktopPluginRegistrar * | FlutterDesktopPluginRegistrarRef
typedef void(* | FlutterDesktopOnPluginRegistrarDestroyed) (FlutterDesktopPluginRegistrarRef)

## Functions
FLUTTER_EXPORT FlutterDesktopMessengerRef | FlutterDesktopPluginRegistrarGetMessenger (FlutterDesktopPluginRegistrarRef registrar)
FLUTTER_EXPORT FlutterDesktopTextureRegistrarRef | FlutterDesktopRegistrarGetTextureRegistrar (FlutterDesktopPluginRegistrarRef registrar)
FLUTTER_EXPORT void | FlutterDesktopPluginRegistrarSetDestructionHandler (FlutterDesktopPluginRegistrarRef registrar, FlutterDesktopOnPluginRegistrarDestroyed callback)

## Typedef Documentation

## ◆ FlutterDesktopOnPluginRegistrarDestroyed

typedef void(* FlutterDesktopOnPluginRegistrarDestroyed) (FlutterDesktopPluginRegistrarRef)

Definition at line 23 of file flutter_plugin_registrar.h.

## ◆ FlutterDesktopPluginRegistrarRef

typedef struct FlutterDesktopPluginRegistrar* FlutterDesktopPluginRegistrarRef

Definition at line 20 of file flutter_plugin_registrar.h.

## Function Documentation

## ◆ FlutterDesktopPluginRegistrarGetMessenger()

FLUTTER_EXPORT FlutterDesktopMessengerRef FlutterDesktopPluginRegistrarGetMessenger | ( | FlutterDesktopPluginRegistrarRef | registrar | ) |

## ◆ FlutterDesktopPluginRegistrarSetDestructionHandler()

FLUTTER_EXPORT void FlutterDesktopPluginRegistrarSetDestructionHandler | ( | FlutterDesktopPluginRegistrarRef | registrar,
|  | FlutterDesktopOnPluginRegistrarDestroyed | callback
| ) |  |

Referenced by flutter::PluginRegistrarManager::GetRegistrar().

## ◆ FlutterDesktopRegistrarGetTextureRegistrar()

FLUTTER_EXPORT FlutterDesktopTextureRegistrarRef FlutterDesktopRegistrarGetTextureRegistrar | ( | FlutterDesktopPluginRegistrarRef | registrar | ) |